
Name: orca
Version: 2.24.1
Release: alt1

Summary: A screen reader that provides access to the GNOME desktop by people with visual impairments
Summary(ru_RU.UTF-8): Программа экранного доступа для людей с ограничениями по зрению 
License: LGPL
Group: Accessibility
URL: http://live.gnome.org/Orca
Requires: voiceman

Source0: %name-%version.tar.gz
Source1: orca-servers

Patch0: orca-2.22.3-alt-desktop-file.patch
Patch1: orca-2.22.3-alt-emacspeak.patch
Patch2: orca-2.22.3-alt-voiceman.patch

Packager: Michael Pozhidaev <msp@altlinux.ru>

%add_python_req_skip GNOME GNOME__POA

BuildRequires: intltool >= 0.40

# Automatically added by buildreq on Sat Nov 15 2008
BuildRequires: gcc-c++ glib2-devel glibc-devel-static gnome-mag gnome-speech intltool python-devel python-module-pygnome-bonobo python-modules-compiler

%description
A flexible, scriptable, extensible screen reader for the GNOME platform
that provides access via speech synthesis, braille, and magnification.
Use gnome-default package to prepare GNOME for using with Orca. There can be problems 
if only gnome-minimal is installed.

%description -l ru_RU.UTF-8
Orca - это программа экранного доступа для людей с ограничениями по
зрению. Она предоставляет речевой интерфейс для работы в среде GNOME,
а также средства для увеличения изображения на экране.
Функциональность Orcaочень близка к возможностям популярного пакета
Jaws For Windows компании Freedom Scientific.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%autoreconf
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

install -pD -m644 %SOURCE1 %buildroot%_datadir/%name/emacspeak-servers/.servers
ln -s /usr/bin/voiceman-espeak %buildroot%_datadir/%name/emacspeak-servers/voiceman
install -d -m 755 %buildroot%_sysconfdir/%name
ln -s %_datadir/%name/emacspeak-servers %buildroot%_sysconfdir/%name/servers

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/orca
%dir %python_sitelibdir/orca
%python_sitelibdir/orca/
%_datadir/applications/*
%_datadir/icons/hicolor/*/apps/orca.png
%_datadir/icons/hicolor/scalable/apps/orca.svg
%_man1dir/*
%dir %_datadir/orca
%_datadir/orca/*
%_sysconfdir/orca

%changelog
* Sat Nov 15 2008 Michael Pozhidaev <msp@altlinux.ru> 2.24.1-alt1
- New version (2.24.1)
- Added Russian summary and description

* Fri Sep 05 2008 Michael Pozhidaev <msp@altlinux.ru> 2.22.3-alt4
- Added voiceman support
- Added fake directory with emacspeak servers

* Sat Aug 30 2008 Michael Pozhidaev <msp@altlinux.ru> 2.22.3-alt3
- New maintaner

* Fri Jul 11 2008 Igor Zubkov <icesik@altlinux.org> 2.22.3-alt2
- fix desktop file

* Sat Jul 05 2008 Igor Zubkov <icesik@altlinux.org> 2.22.3-alt1
- 2.22.2 -> 2.22.3

* Sun Jun 01 2008 Igor Zubkov <icesik@altlinux.org> 2.22.2-alt1
- 2.19.6 -> 2.22.2

* Sat Aug 25 2007 Michael Pozhidaev <msp@altlinux.ru> 2.19.6-alt0.4
- First testing unstable AltLinux version.

* Sat Feb 03 2007 Willie Walker <william.walker@sun.com>
- Add libgail-gnome dependency.

* Thu Aug 03 2006 Willie Walker <william.walker@sun.com>
- Add orca.png and orca.desktop files.

* Tue Jul 11 2006 Willie Walker <william.walker@sun.com>
- Fix "pyborit" typo.

* Mon May 15 2006 Willie Walker <william.walker@sun.com>
- More tweaking.

* Fri May 12 2006 Willie Walker <william.walker@sun.com>
- Well, try again.  Third time is a charm?

* Thu May 04 2006 Willie Walker <william.walker@sun.com>
- One more attempt at getting the dependencies right.

* Tue Apr 25 2006 Willie Walker <william.walker@sun.com>
- Update for new preferences settings mechanism (remove orca-setup.in)

* Mon Oct 17 2005 Willie Walker <william.walker@sun.com>
- Update for 0.2.0.
